For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • GETGet account activity summary
      • GETGet account balance
      • GETGet account users
      • GETList all accounts
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIAccount Data

Get account users

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/transactions/:transactionId/payment/paymentProvider/user
GET
/api/v1/transactions/:transactionId/payment/paymentProvider/user
$curl https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/paymentProvider/user \
> -u "<username>:<password>"
1{
2 "user": {
3 "fingerprint": "iSnTsj6TTOmPjqN5kE44aMkGqvk=",
4 "paymentProvider": {
5 "paymentProviderId": "200005501",
6 "type": 1,
7 "name": "Demo Bank"
8 },
9 "name": [
10 "John Smith",
11 "Mary Smith"
12 ],
13 "address": [
14 {
15 "address1": "2000 Broadway Street",
16 "address2": "",
17 "city": "Redwood City",
18 "state": "CA",
19 "zip": "94063",
20 "country": "US"
21 },
22 {
23 "address1": "105 Alternate1 Street",
24 "address2": "#401",
25 "city": "Redmond",
26 "state": "WA",
27 "zip": "98052",
28 "country": "US"
29 },
30 {
31 "address1": "105 Alternate2 Street",
32 "address2": "#402",
33 "city": "Beverly Hills",
34 "state": "CA",
35 "zip": "90210",
36 "country": "US"
37 }
38 ],
39 "phone": [
40 "2145553434"
41 ],
42 "email": [
43 "jsmith@email.com"
44 ],
45 "createdAt": 1554390649215,
46 "updatedAt": 1554390654214
47 }
48}
This endpoint retrieves users' information from an Authorized Bank transaction. **Warning**</br>Please wait to receive the [DataReady](../reference/post_dataready) event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned.
Was this page helpful?
Previous

Get account balance

Next

List all accounts

Built with

This endpoint retrieves users’ information from an Authorized Bank transaction.

WarningPlease wait to receive the DataReady event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired
Transaction ID retrieved from a Trustly Authorization transaction.

Query parameters

expandlist of enumsOptional

A field in the API response to be expanded in order for more details to be provided (e.g. customer.segmentedName).

Allowed values:

Response

OK
fingerprintstring
Internal use only.
paymentProviderobject
namelist of any
Array of User Name's associated with the Bank Account.
addresslist of objects
Array of Addresses associated with the Bank Account. See Address Object.
phonelist of any
Array of Phone Numbers associated with the Bank Account.
emaillist of any
Array of Email Addresses associated with the Bank Account.
createdAtinteger
Timestamp representing the time the User Object was created.
updatedAtinteger
Timestamp representing the time the User Object was last updated.
segmentedNameobject
The segmented version of a given name.

Errors

400
Bad Request Error